xsec-templatesign.pod(1)

NAME
xmlsec-templatesign - Sign a template XML signature file

SYNOPSIS
xmlsec-templatesign [-s distinguished-name] [-h string] [-c]
    (-d | -e | -r) private-key password input

DESCRIPTION
xmlsec-templatesign signs a template XML signature file using the Apache XML Security for C++ library. The resulting signed file is printed to standard output. The signing key is specified with one of -d (for a DSA key), -e (for an EC key), or -r (for an RSA key). The key must be stored in a PEM-encoded file, and the password for that file must be given on the command line.

OPTIONS
Note that each option must be given as a separate argument.

--dsakey, -d
    The provided private-key file is a PEM-encoded DSA private key.

--eckey, -e
    The provided private-key file is a PEM-encoded EC private key.

--rsakey, -r
    The provided private-key file is a PEM-encoded RSA private key.

--clearkeys, -c
    Clear out any current KeyInfo elements in the file.

--hmackey string, -h string
    Use the HMAC key specified by string.

--x509subjectname name, -s name
    The provided name will be set as SubjectName in X.509.

AUTHOR
This manual page was written by Russ Allbery for Debian.

MANUAL LICENSE
The authors hereby relinquish any claim to any copyright that they may have in this work, whether granted under contract or by operation of law or international treaty, and hereby commit to the public, at large, that they shall not, at any time in the future, seek to enforce any copyright in this work against any person or entity, or prevent any person or entity from copying, publishing, distributing or creating derivative works of this work.